Skip to content

Get task status statistics for a tenant.

Method

GET https://papi.afi.ai/api/v1/tenants/{tenant_id}/tasks/statistics/summary

Description

Returns task statistics aggregated by task status for a given time period. The period must be no longer than 31 days and must fall within the most recent 35 days. The tenant_id path parameter specifies which tenant's statistics to retrieve.

Path params
tenant_id string required

ID of the tenant whose task statistics to retrieve.

Query params
start_time date-time required

Start of the period for retrieving tenant task statistics. Specify the timestamp with hour granularity to align day-level statistics with a specific time zone. Values are rounded to the nearest hour if not already rounded by the caller. Use the RFC 3339 timestamp format.

end_time date-time required

End of the period for retrieving the statistics.

curl -X GET \
    -H 'Authorization: {api-key}' \
    https://papi.afi.ai/api/v1/tenants/{tenant_id}/tasks/statistics/summary?start_time={value}&end_time={value}

Successful response (200) schema
object

total object
object

done int32
failed int32
warnings int32
by_action map
object

done int32
failed int32
warnings int32
Response example
{
  "total": {
    "done": 0,
    "failed": 0,
    "warnings": 0
  },
  "by_action": {
    "key1": {
      "done": 0,
      "failed": 0,
      "warnings": 0
    },
    "keyN": {
      "done": 0,
      "failed": 0,
      "warnings": 0
    }
  }
}